# SPDX-FileCopyrightText: 2021 Maxwell G (@gotmax23)
# SPDX-License-Identifier: MIT

%global srcname pytest-plus

Name:           python-%{srcname}
Version:        0.2
Release:        1%{?dist}
Summary:        PyTest plugin to ensure that tests match PYTEST_REQPASS value

License:        MIT
URL:            https://github.com/pytest-dev/%{srcname}
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
pytest-plus is plugin that adds new features to PyTest.
This plugin aims to be used to host multiple basic PyTest extensions.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %(echo %{srcname} | tr - _)


%check
%tox


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.*
%license LICENSE*


%changelog
* Mon Nov 01 2021 Maxwell G <gotmax@e.email> - 0.2-1
- Initial package
